<div class="main-flex-container">
  <app-sidebar></app-sidebar>
  <div class="center-flex-container flex-item {{cursorLoading}}">
    <div class="home">
      <h1>Profile</h1>
      <div class="search">
      </div>
      <i class="fas fa-magic"></i>
    </div>
    <div class="info">
      <div class="form-group-1">
        <div class="d-flex">
          <img src="http://www.gravatar.com/avatar/{{getHashedEmail(profile.email)}}/?d=identicon">
          <div>
            <h3>{{profile.first_name}} {{profile.last_name}}</h3>
            <span>@{{profile.username}}</span>
          </div>
        </div>
        <div class="d-flex follow-info">
          <h4>Followers:{{followers.length}}</h4>
          <h4>Followings:{{followings.length}}</h4>
        </div>
        <div class="follow-action">
          <div class="follow-btn" *ngIf="showType == 'follow'">
            <a (click)="follow(profile.id)">Follow</a>
          </div>
          <div class="following-btn" *ngIf="showType == 'following'">
            <a (click)="unfollow(profile.id)">Remove</a>
          </div>
        </div>
      </div>
    </div>
    <div *ngFor="let tweet of tweets">
      <app-tweet [tweet]="tweet" [loggedInUser]="parentUser"></app-tweet>
    </div>
    <div class="follow-footer " *ngIf="tweetPaginateIsVisible">
      <a (click)="getTweetsWithFollowCountAndLikeCount(profile.id)">Show more</a>
    </div>
  </div>

</div>
